Bug 182514 - perl-Unicode-Map8 does not work on x86_64
perl-Unicode-Map8 does not work on x86_64
Product: Fedora
Classification: Fedora
Component: perl-Unicode-Map8 (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
Depends On:
Blocks: FE-ExcludeArch-x64 211866
  Show dependency treegraph
Reported: 2006-02-22 17:48 EST by Aurelien Bompard
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-29 08:00:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2006-02-22 17:48:36 EST
perl-Unicode-Map8 does not build on x86_64, and thus is ExcludeArch'ed.
The t/map8.t test fails on this arch.

Compilation warnings:

map8x.c: In function 'map8_recode8':
map8x.c:322: warning: pointer targets in passing argument 1 of 'strlen' differ
in signedness
map8x.c:315: warning: unused variable 'uc'
Map8.xs: In function 'to8_cb':
Map8.xs:84: warning: pointer targets in return differ in signedness
Map8.xs: In function 'XS_Unicode__Map8__empty_block':
Map8.xs:201: warning: comparison is always false due to limited range of data type
Map8.c: In function 'XS_Unicode__Map8_to16':
Map8.c:490: warning: pointer targets in initialization differ in signedness
Map8.xs: In function 'XS_Unicode__Map8_recode8':
Map8.xs:359: warning: implicit declaration of function 'map8_recode8'
Map8.c: At top level:
/usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE/patchlevel.h:122: warning:
'local_patches' defined but not used
Comment 1 Ville Skyttä 2006-02-23 01:50:32 EST
Clarification: test 2 in map8.t (the one that uses recode8()) crashes and dumps
Comment 2 Ville Skyttä 2006-10-25 05:15:14 EDT
Applying the patches from the openSUSE package at 
seems to fix this for me on FC5 x86_64.
Comment 4 Paul Howarth 2006-10-29 03:44:01 EST
(In reply to comment #3)
> I tried both patches from the openSuSE package, and it still does not build :

I don't see any patches being applied in %prep there...
Comment 5 Aurelien Bompard 2006-10-29 08:00:44 EST
Please forgive me for wasting your time...
Built for devel, FC-6 and FC-5 on all archs

Note You need to log in before you can comment on or make changes to this bug.